Package org.codehaus.janino

# Class Java.LocalVariableDeclarationStatement

java.lang.Object
org.codehaus.janino.Java.Located
org.codehaus.janino.Java.Statement
org.codehaus.janino.Java.LocalVariableDeclarationStatement

All Implemented Interfaces:
  `Java.BlockStatement`, `Java.Locatable`, `Java.Scope`

Enclosing class:
  `Java`

public static final class Java.LocalVariableDeclarationStatement extends Java.Statement
Representation of a JLS7 14.4 "local variable declaration statement".

## Field Summary

Fields
Modifier and Type
Field
Description
`final Java.Modifier[]`
`modifiers`
The local variable modifiers (annotations and/or flags like FINAL).
`final Java.Type`
`type`
The declared type of the local variable.
`final Java.VariableDeclarator[]`
`variableDeclarators`
The (one or more) "variable declarators" that follow the type.

### Fields inherited from class org.codehaus.janino.Java.Statement

`localVariables`

### Fields inherited from class org.codehaus.janino.Java.Located

`NOWHERE`

## Constructor Summary

Constructors
Constructor
Description
`LocalVariableDeclarationStatement(Location location, Java.Modifier[] modifiers, Java.Type type, Java.VariableDeclarator[] variableDeclarators)`

## Method Summary

Modifier and Type
Method
Description
`<R, EX extends Throwable>
R`
`accept(Visitor.BlockStatementVisitor<R,EX> visitor)`
Invokes the "`visit...()`" method of `Visitor.BlockStatementVisitor` for the concrete `Java.BlockStatement` type.
`boolean`
`isFinal()`
`String`
`toString()`

### Methods inherited from class org.codehaus.janino.Java.Statement

`findLocalVariable, getEnclosingScope, setEnclosingScope`

### Methods inherited from class org.codehaus.janino.Java.Located

`getLocation, throwCompileException`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.codehaus.janino.Java.Locatable

`getLocation, throwCompileException`

## Field Details

### modifiers

public final Java.Modifier[] modifiers
The local variable modifiers (annotations and/or flags like FINAL).

### type

public final Java.Type type
The declared type of the local variable.

### variableDeclarators

public final Java.VariableDeclarator[] variableDeclarators
The (one or more) "variable declarators" that follow the type.

## Constructor Details

### LocalVariableDeclarationStatement

public LocalVariableDeclarationStatement(Location location, Java.Modifier[] modifiers, Java.Type type, Java.VariableDeclarator[] variableDeclarators)

Parameters:
  `modifiers` - Only `final` allowed

## Method Details

### accept

@Nullable public <R, EX extends Throwable> R accept(Visitor.BlockStatementVisitor<R,EX> visitor) throws EX
Description copied from interface: `Java.BlockStatement`
Invokes the "`visit...()`" method of `Visitor.BlockStatementVisitor` for the concrete `Java.BlockStatement` type.

Throws:
  `EX`

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### isFinal

public boolean isFinal()